
Cook: libdvdread 4.1.3
================================================================================
QA: checking package receipt...
QA: unable to reach "http://www.mplayerhq.hu/MPlayer/releases/dvdnav/"
Checking build dependencies...
Installing (pkg/local): libdvdcss-1.2.12
Installing (pkg/local): libdvdcss-dev-1.2.12
Installing (pkg/local): perl-core-5.26.1
Installing (pkg/local): perl-5.26.1
Installing (pkg/local): autoconf-2.69
Installing (pkg/local): automake-1.15.1
Installing (pkg/local): libltdl-2.4.6
Installing (pkg/local): libtool-2.4.6
Extracting source archive "libdvdread-4.1.3.tar.bz2"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

Hunk 1 FAILED 889/889.
     }
 }
 
+static int DVDFileStatVOBUDF(dvd_reader_t *dvd, int title, 
+                             int menu, dvd_stat_t *statbuf)
+{
+  char filename[ MAX_UDF_FILE_NAME_LEN ];
+  uint32_t size;
+  off_t tot_size;
+  off_t parts_size[9];
+  int nr_parts = 0;
+  int n;
+ 
+  if( title == 0 ) {
+    sprintf( filename, "/VIDEO_TS/VIDEO_TS.VOB" );
+  } else {
+    sprintf( filename, "/VIDEO_TS/VTS_%02d_%d.VOB", title, menu ? 0 : 1 );
+  }
+  if(!UDFFindFile( dvd, filename, &size )) {
+    return -1;
+  }
+  tot_size = size;
+  nr_parts = 1;
+  parts_size[0] = size;
+
+  if( !menu ) {
+    int cur;
+
+    for( cur = 2; cur < 10; cur++ ) {
+      sprintf( filename, "/VIDEO_TS/VTS_%02d_%d.VOB", title, cur );
+      if( !UDFFindFile( dvd, filename, &size ) ) {
+        break;
+      }
+      parts_size[nr_parts] = size;
+      tot_size += size;
+      nr_parts++;
+    }
+  }
+  
+  statbuf->size = tot_size;
+  statbuf->nr_parts = nr_parts;
+  for(n = 0; n < nr_parts; n++) {
+    statbuf->parts_size[n] = parts_size[n];
+  }
+  return 0;
+}
+
+
+static int DVDFileStatVOBPath( dvd_reader_t *dvd, int title,
+                                       int menu, dvd_stat_t *statbuf )
+{
+  char filename[ MAX_UDF_FILE_NAME_LEN ];
+  char full_path[ PATH_MAX + 1 ];
+  struct stat fileinfo;
+  off_t tot_size;
+  off_t parts_size[9];
+  int nr_parts = 0;
+  int n;
+
+ 
+    
+  if( title == 0 ) {
+    sprintf( filename, "VIDEO_TS.VOB" );
+  } else {
+    sprintf( filename, "VTS_%02d_%d.VOB", title, menu ? 0 : 1 );
+  }
+  if( !findDVDFile( dvd, filename, full_path ) ) {
+    return -1;
+  }
+  
+  if( stat( full_path, &fileinfo ) < 0 ) {
+    fprintf( stderr, "libdvdread: Can't stat() %s.\n", filename );
+    return -1;
+  }
+  
+
+  tot_size = fileinfo.st_size;
+  nr_parts = 1;
+  parts_size[0] = fileinfo.st_size;
+
+  if( !menu ) {
+    int cur;
+    
+    for( cur = 2; cur < 10; cur++ ) {
+
+      sprintf( filename, "VTS_%02d_%d.VOB", title, cur );
+      if( !findDVDFile( dvd, filename, full_path ) ) {
+        break;
+      }
+
+      if( stat( full_path, &fileinfo ) < 0 ) {
+        fprintf( stderr, "libdvdread: Can't stat() %s.\n", filename );
+        break;
+      }
+      
+      parts_size[nr_parts] = fileinfo.st_size;
+      tot_size += parts_size[nr_parts];
+      nr_parts++;
+    }
+  }
+
+  statbuf->size = tot_size;
+  statbuf->nr_parts = nr_parts;
+  for(n = 0; n < nr_parts; n++) {
+    statbuf->parts_size[n] = parts_size[n];
+  }
+  return 0;
+}
+
+
+int DVDFileStat(dvd_reader_t *dvd, int titlenum, 
+                dvd_read_domain_t domain, dvd_stat_t *statbuf)
+{
+  char filename[ MAX_UDF_FILE_NAME_LEN ];
+  char full_path[ PATH_MAX + 1 ];
+  struct stat fileinfo;
+  uint32_t size;
+
+  /* Check arguments. */
+  if( dvd == NULL || titlenum < 0 ) {
+    errno = EINVAL;
+    return -1;
+  }
+
+  switch( domain ) {
+  case DVD_READ_INFO_FILE:
+    if( titlenum == 0 ) {
+      sprintf( filename, "/VIDEO_TS/VIDEO_TS.IFO" );
+    } else {
+      sprintf( filename, "/VIDEO_TS/VTS_%02i_0.IFO", titlenum );
+    }
+    break;
+  case DVD_READ_INFO_BACKUP_FILE:
+    if( titlenum == 0 ) {
+      sprintf( filename, "/VIDEO_TS/VIDEO_TS.BUP" );
+    } else {
+      sprintf( filename, "/VIDEO_TS/VTS_%02i_0.BUP", titlenum );
+    }
+    break;
+  case DVD_READ_MENU_VOBS:
+    if( dvd->isImageFile ) {
+      return DVDFileStatVOBUDF( dvd, titlenum, 1, statbuf );
+    } else {
+      return DVDFileStatVOBPath( dvd, titlenum, 1, statbuf );
+    }
+    break;
+  case DVD_READ_TITLE_VOBS:
+    if( titlenum == 0 ) {
+      return -1;
+    }
+    if( dvd->isImageFile ) {
+      return DVDFileStatVOBUDF( dvd, titlenum, 0, statbuf );
+    } else {
+      return DVDFileStatVOBPath( dvd, titlenum, 0, statbuf );
+    }
+    break;
+  default:
+    fprintf( stderr, "libdvdread: Invalid domain for file stat.\n" );
+    errno = EINVAL;
+    return -1;
+  }
+  
+  if( dvd->isImageFile ) {
+    if( UDFFindFile( dvd, filename, &size ) ) {
+      statbuf->size = size;
+      statbuf->nr_parts = 1;
+      statbuf->parts_size[0] = size;
+      return 0;
+    }
+  } else {
+    if( findDVDFile( dvd, filename, full_path ) )  {
+      if( stat( full_path, &fileinfo ) < 0 ) {
+        fprintf( stderr, "libdvdread: Can't stat() %s.\n", filename );
+      } else {
+        statbuf->size = fileinfo.st_size;
+        statbuf->nr_parts = 1;
+        statbuf->parts_size[0] = statbuf->size;
+        return 0;
+      }
+    }
+  }
+  return -1;
+}
+
 /* Internal, but used from dvd_udf.c */
 int UDFReadBlocksRaw( dvd_reader_t *device, uint32_t lb_number,
 			 size_t block_count, unsigned char *data,
Hunk 1 FAILED 115/115.
 } dvd_read_domain_t;
 
 /**
+ *
+ */
+typedef struct {
+  off_t size;          /**< Total size of file in bytes */
+  int nr_parts;        /**< Number of file parts */
+  off_t parts_size[9]; /**< Size of each part in bytes */
+} dvd_stat_t;
+
+/**
+ * Stats a file on the DVD given the title number and domain.
+ * The information about the file is stored in a dvd_stat_t
+ * which contains information about the size of the file and
+ * the number of parts in case of a multipart file and the respective
+ * sizes of the parts.
+ * A multipart file is for instance VTS_02_1.VOB, VTS_02_2.VOB, VTS_02_3.VOB
+ * The size of VTS_02_1.VOB will be stored in stat->parts_size[0],
+ * VTS_02_2.VOB in stat->parts_size[1], ...
+ * The total size (sum of all parts) is stored in stat->size and
+ * stat->nr_parts will hold the number of parts.
+ * Only DVD_READ_TITLE_VOBS (VTS_??_[1-9].VOB) can be multipart files.
+ * 
+ * This function is only of use if you want to get the size of each file
+ * in the filesystem. These sizes are not needed to use any other
+ * functions in libdvdread. 
+ *
+ * @param dvd  A dvd read handle.
+ * @param titlenum Which Video Title Set should be used, VIDEO_TS is 0.
+ * @param domain Which domain. 
+ * @param stat Pointer to where the result is stored.
+ * @return If successful 0, otherwise -1.
+ *
+ * int DVDFileStat(dvd, titlenum, domain, stat);
+ */
+int DVDFileStat(dvd_reader_t *, int, dvd_read_domain_t, dvd_stat_t *);
+  
+/**
  * Opens a file on the DVD given the title number and domain.
  *
  * If the title number is 0, the video manager information is opened
patching file src/dvd_reader.c
patching file src/dvd_reader.h
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal 
autoreconf: configure.ac: tracing
autoreconf: running: libtoolize --copy
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
libtoolize: and rerunning libtoolize and aclocal.
libtoolize: Consider adding '-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
autoreconf: running: /usr/bin/autoconf
autoreconf: running: /usr/bin/autoheader
autoreconf: running: automake --add-missing --copy --no-force
configure.ac:86: installing './compile'
configure.ac:26: installing './config.guess'
configure.ac:26: installing './config.sub'
configure.ac:22: installing './install-sh'
configure.ac:22: installing './missing'
configure.ac:196: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
configure.ac:196: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
configure.ac:196: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
configure.ac:196: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/Makefile.am: installing './depcomp'
autoreconf: Leaving directory `.'
configure: loading site script /etc/slitaz/cook.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking build system type... i486-slitaz-linux-gnu
checking host system type... i486-slitaz-linux-gnu
checking for style of include used by make... GNU
checking for i486-slitaz-linux-gcc... i486-slitaz-linux-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i486-slitaz-linux-gcc accepts -g... yes
checking for i486-slitaz-linux-gcc option to accept ISO C89... none needed
checking whether i486-slitaz-linux-gcc understands -c and -o together... yes
checking dependency style of i486-slitaz-linux-gcc... gcc3
checking for library containing strerror... none required
checking for i486-slitaz-linux-gcc... (cached) i486-slitaz-linux-gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether i486-slitaz-linux-gcc accepts -g... (cached) yes
checking for i486-slitaz-linux-gcc option to accept ISO C89... (cached) none needed
checking whether i486-slitaz-linux-gcc understands -c and -o together... (cached) yes
checking dependency style of i486-slitaz-linux-gcc... (cached) gcc3
checking whether make sets $(MAKE)... (cached) yes
checking whether ln -s works... yes
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by i486-slitaz-linux-gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/i486-slitaz-linux-nm -B
checking the name lister (/usr/bin/i486-slitaz-linux-nm -B) interface... BSD nm
checking the maximum length of command line arguments... 1572864
checking how to convert i486-slitaz-linux-gnu file names to i486-slitaz-linux-gnu format... func_convert_file_noop
checking how to convert i486-slitaz-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for i486-slitaz-linux-objdump... i486-slitaz-linux-objdump
checking how to recognize dependent libraries... pass_all
checking for i486-slitaz-linux-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for i486-slitaz-linux-ar... i486-slitaz-linux-ar
checking for archiver @FILE support... @
checking for i486-slitaz-linux-strip... i486-slitaz-linux-strip
checking for i486-slitaz-linux-ranlib... i486-slitaz-linux-ranlib
checking command to parse /usr/bin/i486-slitaz-linux-nm -B output from i486-slitaz-linux-gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for i486-slitaz-linux-mt... no
checking for mt... mt
checking if mt is a manifest tool... no
checking how to run the C preprocessor... i486-slitaz-linux-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if i486-slitaz-linux-gcc supports -fno-rtti -fno-exceptions... no
checking for i486-slitaz-linux-gcc option to produce PIC... -fPIC -DPIC
checking if i486-slitaz-linux-gcc PIC flag -fPIC -DPIC works... yes
checking if i486-slitaz-linux-gcc static flag -static works... yes
checking if i486-slitaz-linux-gcc supports -c -o file.o... yes
checking if i486-slitaz-linux-gcc supports -c -o file.o... (cached) yes
checking whether the i486-slitaz-linux-gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for shl_load... no
checking for shl_load in -ldld... no
checking for dlopen... no
checking for dlopen in -ldl... yes
checking whether a program can dlopen itself... yes
checking whether a statically linked program can dlopen itself... no
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for ANSI C header files... (cached) yes
checking for unistd.h... (cached) yes
checking for string.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for off_t... yes
checking for size_t... yes
checking whether byte ordering is bigendian... no
checking for dlopen in -lc... no
checking for dlopen in -ldl... (cached) yes
checking for aclocal directory... /usr/share/aclocal
checking for doxygen... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating misc/Makefile
config.status: creating misc/dvdread-config
config.status: creating misc/dvdread.pc
config.status: creating misc/libdvdread.spec
config.status: creating misc/relchk.sh
config.status: creating m4/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
make  all-recursive
make[1]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3'
Making all in src
make[2]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/src'
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT dvd_reader.lo -MD -MP -MF .deps/dvd_reader.Tpo -c -o dvd_reader.lo dvd_reader.c
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT nav_read.lo -MD -MP -MF .deps/nav_read.Tpo -c -o nav_read.lo nav_read.c
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT ifo_read.lo -MD -MP -MF .deps/ifo_read.Tpo -c -o ifo_read.lo ifo_read.c
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT dvd_input.lo -MD -MP -MF .deps/dvd_input.Tpo -c -o dvd_input.lo dvd_input.c
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT dvd_udf.lo -MD -MP -MF .deps/dvd_udf.Tpo -c -o dvd_udf.lo dvd_udf.c
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT md5.lo -MD -MP -MF .deps/md5.Tpo -c -o md5.lo md5.c
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT dvd_udf.lo -MD -MP -MF .deps/dvd_udf.Tpo -c dvd_udf.c  -fPIC -DPIC -o .libs/dvd_udf.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT nav_read.lo -MD -MP -MF .deps/nav_read.Tpo -c nav_read.c  -fPIC -DPIC -o .libs/nav_read.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT dvd_reader.lo -MD -MP -MF .deps/dvd_reader.Tpo -c dvd_reader.c  -fPIC -DPIC -o .libs/dvd_reader.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT ifo_read.lo -MD -MP -MF .deps/ifo_read.Tpo -c ifo_read.c  -fPIC -DPIC -o .libs/ifo_read.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT dvd_input.lo -MD -MP -MF .deps/dvd_input.Tpo -c dvd_input.c  -fPIC -DPIC -o .libs/dvd_input.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT md5.lo -MD -MP -MF .deps/md5.Tpo -c md5.c  -fPIC -DPIC -o .libs/md5.o
dvd_udf.c: In function 'UDFLogVolume':
dvd_udf.c:421:28: warning: variable 'N_PM' set but not used [-Wunused-but-set-variable]
     uint32_t lbsize, MT_L, N_PM;
                            ^~~~
dvd_udf.c:421:22: warning: variable 'MT_L' set but not used [-Wunused-but-set-variable]
     uint32_t lbsize, MT_L, N_PM;
                      ^~~~
dvd_udf.c: In function 'UDFFindFile':
dvd_udf.c:829:8: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
        if(!strcmp(token, "VIDEO_TS"))
        ^~
dvd_udf.c:831:10: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
          token = strtok( NULL, "/" );
          ^~~~~
dvd_udf.c: In function 'UDFGetDescriptor':
dvd_udf.c:860:10: warning: variable 'terminate' set but not used [-Wunused-but-set-variable]
   int i, terminate;
          ^~~~~~~~~
dvd_udf.c:859:12: warning: variable 'lastsector' set but not used [-Wunused-but-set-variable]
   uint32_t lastsector;
            ^~~~~~~~~~
ifo_read.c: In function 'ifoRead_PGC':
ifo_read.c:846:8: warning: suggest parentheses around operand of '!' or change '&' to '&&' or '!' to '~' [-Wparentheses]
     if(!pgc->audio_control[i] & 0x8000) /* The 'is present' bit */
        ^~~~~~~~~~~~~~~~~~~~~~
ifo_read.c:849:8: warning: suggest parentheses around operand of '!' or change '&' to '&&' or '!' to '~' [-Wparentheses]
     if(!pgc->subp_control[i] & 0x80000000) /* The 'is present' bit */
        ^~~~~~~~~~~~~~~~~~~~~
mv -f .deps/dvd_input.Tpo .deps/dvd_input.Plo
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT nav_print.lo -MD -MP -MF .deps/nav_print.Tpo -c -o nav_print.lo nav_print.c
mv -f .deps/md5.Tpo .deps/md5.Plo
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT ifo_print.lo -MD -MP -MF .deps/ifo_print.Tpo -c -o ifo_print.lo ifo_print.c
mv -f .deps/dvd_udf.Tpo .deps/dvd_udf.Plo
/bin/bash ../libtool  --tag=CC   --mode=compile i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I..  -I../src   -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -MT bitreader.lo -MD -MP -MF .deps/bitreader.Tpo -c -o bitreader.lo bitreader.c
mv -f .deps/nav_read.Tpo .deps/nav_read.Plo
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT ifo_print.lo -MD -MP -MF .deps/ifo_print.Tpo -c ifo_print.c  -fPIC -DPIC -o .libs/ifo_print.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT nav_print.lo -MD -MP -MF .deps/nav_print.Tpo -c nav_print.c  -fPIC -DPIC -o .libs/nav_print.o
libtool: compile:  i486-slitaz-linux-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../src -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486 -Os -pipe -mindirect-branch=thunk -MT bitreader.lo -MD -MP -MF .deps/bitreader.Tpo -c bitreader.c  -fPIC -DPIC -o .libs/bitreader.o
nav_print.c: In function 'navPrint_PCI_GI':
nav_print.c:41:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
   printf("vobu_uop_ctl  0x%08x\n", *(uint32_t*)&pci_gi->vobu_uop_ctl);
   ^~~~~~
mv -f .deps/bitreader.Tpo .deps/bitreader.Plo
mv -f .deps/nav_print.Tpo .deps/nav_print.Plo
mv -f .deps/dvd_reader.Tpo .deps/dvd_reader.Plo
mv -f .deps/ifo_print.Tpo .deps/ifo_print.Plo
mv -f .deps/ifo_read.Tpo .deps/ifo_read.Plo
/bin/bash ../libtool  --tag=CC   --mode=link i486-slitaz-linux-gcc  -O3 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -march=i486  -Os -pipe -mindirect-branch=thunk -version-info 5:2:1 -export-symbols-regex "(^dvd.*|^nav.*|^ifo.*|^DVD.*|^UDF.*)"  -o libdvdread.la -rpath /usr/lib dvd_reader.lo nav_read.lo ifo_read.lo dvd_input.lo dvd_udf.lo md5.lo nav_print.lo ifo_print.lo bitreader.lo -ldl 
libtool: link: /usr/bin/i486-slitaz-linux-nm -B  .libs/dvd_reader.o .libs/nav_read.o .libs/ifo_read.o .libs/dvd_input.o .libs/dvd_udf.o .libs/md5.o .libs/nav_print.o .libs/ifo_print.o .libs/bitreader.o   | sed -n -e 's/^.*[	 ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[	 ][	 ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | sed '/ __gnu_lto/d' | /bin/sed 's/.* //' | sort | uniq > .libs/libdvdread.exp
libtool: link: /bin/grep -E -e "(^dvd.*|^nav.*|^ifo.*|^DVD.*|^UDF.*)" ".libs/libdvdread.exp" > ".libs/libdvdread.expT"
libtool: link: mv -f ".libs/libdvdread.expT" ".libs/libdvdread.exp"
libtool: link: echo "{ global:" > .libs/libdvdread.ver
libtool: link:  cat .libs/libdvdread.exp | sed -e "s/\(.*\)/\1;/" >> .libs/libdvdread.ver
libtool: link:  echo "local: *; };" >> .libs/libdvdread.ver
libtool: link:  i486-slitaz-linux-gcc -shared  -fPIC -DPIC  .libs/dvd_reader.o .libs/nav_read.o .libs/ifo_read.o .libs/dvd_input.o .libs/dvd_udf.o .libs/md5.o .libs/nav_print.o .libs/ifo_print.o .libs/bitreader.o   -ldl  -O3 -march=i486 -Os -mindirect-branch=thunk   -Wl,-soname -Wl,libdvdread.so.4 -Wl,-version-script -Wl,.libs/libdvdread.ver -o .libs/libdvdread.so.4.1.2
libtool: link: (cd ".libs" && rm -f "libdvdread.so.4" && ln -s "libdvdread.so.4.1.2" "libdvdread.so.4")
libtool: link: (cd ".libs" && rm -f "libdvdread.so" && ln -s "libdvdread.so.4.1.2" "libdvdread.so")
libtool: link: ( cd ".libs" && rm -f "libdvdread.la" && ln -s "../libdvdread.la" "libdvdread.la" )
make[2]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/src'
Making all in misc
make[2]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/misc'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/misc'
Making all in m4
make[2]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/m4'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/m4'
make[2]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3'
make[2]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3'
make[1]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3'
Making install in src
make[1]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/src'
make[2]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/src'
 .././install-sh -c -d '/home/slitaz/wok/libdvdread/install/usr/lib'
 .././install-sh -c -d '/home/slitaz/wok/libdvdread/install/usr/include/dvdread'
 /bin/bash ../libtool   --mode=install /usr/bin/install -c   libdvdread.la '/home/slitaz/wok/libdvdread/install/usr/lib'
 /usr/bin/install -c -m 644 dvd_reader.h nav_read.h ifo_read.h nav_print.h ifo_print.h ifo_types.h nav_types.h dvd_udf.h bitreader.h '/home/slitaz/wok/libdvdread/install/usr/include/dvdread'
libtool: install: /usr/bin/install -c .libs/libdvdread.so.4.1.2 /home/slitaz/wok/libdvdread/install/usr/lib/libdvdread.so.4.1.2
libtool: install: (cd /home/slitaz/wok/libdvdread/install/usr/lib && { ln -s -f libdvdread.so.4.1.2 libdvdread.so.4 || { rm -f libdvdread.so.4 && ln -s libdvdread.so.4.1.2 libdvdread.so.4; }; })
libtool: install: (cd /home/slitaz/wok/libdvdread/install/usr/lib && { ln -s -f libdvdread.so.4.1.2 libdvdread.so || { rm -f libdvdread.so && ln -s libdvdread.so.4.1.2 libdvdread.so; }; })
libtool: install: /usr/bin/install -c .libs/libdvdread.lai /home/slitaz/wok/libdvdread/install/usr/lib/libdvdread.la
libtool: warning: remember to run 'libtool --finish /usr/lib'
make[2]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/src'
make[1]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/src'
Making install in misc
make[1]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/misc'
make[2]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/misc'
 .././install-sh -c -d '/home/slitaz/wok/libdvdread/install/usr/bin'
 .././install-sh -c -d '/home/slitaz/wok/libdvdread/install/usr/lib/pkgconfig'
 /usr/bin/install -c -m 644 dvdread.pc '/home/slitaz/wok/libdvdread/install/usr/lib/pkgconfig'
 /usr/bin/install -c dvdread-config '/home/slitaz/wok/libdvdread/install/usr/bin'
make[2]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/misc'
make[1]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/misc'
Making install in m4
make[1]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/m4'
make[2]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/m4'
make[2]: Nothing to be done for 'install-exec-am'.
 .././install-sh -c -d '/home/slitaz/wok/libdvdread/install/usr/share/aclocal'
 /usr/bin/install -c -m 644 dvdread.m4 '/home/slitaz/wok/libdvdread/install/usr/share/aclocal'
make[2]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/m4'
make[1]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3/m4'
make[1]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3'
make[2]: Entering directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3'
make[2]: Nothing to be done for 'install-exec-am'.
make[2]: Nothing to be done for 'install-data-am'.
make[2]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3'
make[1]: Leaving directory '/home/slitaz/wok/libdvdread/source/libdvdread-4.1.3'
================================================================================

================================================================================


Build dependencies to remove: 8
Removing: autoconf automake libdvdcss libdvdcss-dev libltdl libtool perl 
perl-core


Pack: libdvdread 4.1.3
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.14s. Size: 105488 B -> 95848 B. Save: 9 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "libdvdread-4.1.3.tazpkg"                         Done
The release checksum has changed.
================================================================================
Package "libdvdread-4.1.3.tazpkg" created


Pack: libdvdread-dev 4.1.3
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.55s. Size: 8192 B -> 8192 B. Save: 0 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
The release checksum has changed.
================================================================================
Package "libdvdread-dev-4.1.3.tazpkg" created


Summary for: libdvdread 4.1.3
================================================================================
Src file    : libdvdread-4.1.3.tar.bz2
Src size    : 96.0K
Source dir  : 4.0M
Produced    : 232.0K
Cook time   : 29s
Cook date   : 2018-03-07 00:51
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  124.0K :      34.5K :     3 : libdvdread-4.1.3.tazpkg
 2 :  144.0K :      16.6K :    13 : libdvdread-dev-4.1.3.tazpkg
================================================================================
